/*
*/
.chat-popup {
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    padding: 0px;
    border: 0px;
    background: transparent;
    overflow: hidden;
    position: fixed;
    z-index: 16000001;
    right: 10px;
    bottom: 0px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    display: block;
    width: 350px;
    height: 500px;
    box-shadow: rgba(0, 0, 0, 0.0980392) 0px 0px 3px 2px;
}

.chat-frame {
    background-color: transparent;
    vertical-align: text-bottom;
    position: relative;
    width: 100%;
    height: 100%;
    min-width: 100%;
    min-height: 100%;
    max-width: 100%;
    max-height: 100%;
    margin: 0px;
    overflow: hidden;
    display: block;
}

#chatpopup {
    float: right;
    display: inline-block;
    height: auto;
    width: auto;
    max-width: 260px;
    position: fixed;
    /*bottom: 0px;*/
    overflow: hidden;
    white-space: inherit;
    border-radius: 5px;
    z-index: 8888;
    text-align: center;
    padding: 1px;
    border: 1px solid white;
    padding-right: 2px;
    margin: 15px;
    background: #fff;
    cursor: pointer;
}

    #chatpopup img {
        max-width: 150px;
        max-height: 150px;
    }

    #chatpopup .overlay {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba(0, 0, 0, 0.7);
        transition: opacity 500ms;
        visibility: hidden;
        opacity: 0;
    }

        #chatpopup .overlay:target {
            visibility: visible;
            opacity: 1;
        }

    #chatpopup .popup {
        background: #fff;
        width: 100%;
        transition: all 1s ease-in-out;
        border: 2px solid #573393;
        border-spacing: 15px;
        position: relative;
        min-width: 240px;
        padding: 10px;
    }

        #chatpopup .popup h2 {
            margin-top: 0;
            color: #333;
            font-family: Tahoma, Arial, sans-serif;
        }

        #chatpopup .popup .close {
            position: absolute;
            top: 0px;
            right: 5px;
            transition: all 200ms;
            font-size: 30px;
            font-weight: bold;
            text-decoration: none;
            color: #333;
        }

            #chatpopup .popup .close:hover {
                color: #06D85F;
            }

        #chatpopup .popup .content {
            max-height: 30%;
            overflow: auto;
            width: 100%;
        }

@media screen and (max-width: 700px) {

    #chatpopup {
        width: 45%;
        right: 2%!important;
    }

    #chatpopup .popup {
        width: 100%;
        min-width: 0px;
        
    }
    
    #chatpopup img {
        height: 50%;
        width: 50%;
        padding: 0.5em;
    }
    }
}
